#include <stdint.h>

/* network monitor
 * Monitors the bytes of traffic on a network device
 * 2006-05-14 ed AT s5h DOT net - version 0.1 beta code
 * Use at your own risk. Author not responsible for use.
 *
 * Updates at http://www.s5h.net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */

struct interface_line {
	struct interface_line *next;
	char name[20]; /* over sized */
	uint64_t ibytes;
	uint64_t obytes;
	uint64_t ipackets;
	uint64_t opackets;
	uint64_t ierr;
	uint64_t oerr;
	uint64_t idrop;
	uint64_t odrop;
	uint64_t ififo;
	uint64_t ofifo;
	uint64_t iframe;
	uint64_t oframe;
	uint64_t icompressed;
	uint64_t ocompressed;
	uint64_t imulticast;
	uint64_t omulticast;
};

struct interface_line *getinterfaces( void );
void freeinterfaces( struct interface_line *i );
struct interface_line *find_il( struct interface_line *ifname );
struct interface_line *find_last( struct interface_line *ptr );
void *if_name( char *name, struct interface_line *il );
